import { type SaleTerms } from './types';
import { type MintActionParams } from '@rabbitholegg/questdk-plugin-utils';
import { type Address, type PublicClient } from 'viem';
export declare function getFixedPriceData(client: PublicClient, address: Address, contractAddress: Address): Promise<{
    seller: `0x${string}`;
    actionFee: bigint;
    projectFee: bigint;
}>;
export declare function getDutchAuctionData(client: PublicClient, address: Address, contractAddress: Address): Promise<{
    seller: `0x${string}`;
    actionFee: bigint;
    projectFee: bigint;
}>;
export declare function calculateFees(pricingInfo: {
    actionFee: bigint;
    projectFee: bigint;
}, quantity: bigint): {
    actionFee: bigint;
    projectFee: bigint;
};
export declare function getSaleTermsId(mint: MintActionParams, multiTokenAddress: Address): Promise<bigint | null>;
export declare function getFixedPriceSaleTerms(client: PublicClient, salesTermId: bigint, multiTokenAddress: Address): Promise<SaleTerms>;
export declare function getContractType(client: PublicClient, contractAddress: Address): Promise<'1155' | '721' | null>;
//# sourceMappingURL=utils.d.ts.map